﻿using System;
using System.Collections.Generic;
using HeuristicLab.Common;

namespace HeuristicLab.SimulationCore {
  public interface IActivity<TModel> : IDeepCloneable, IContent
    where TModel : IModel {
    IEventQueue<TModel> EventQueue { get; }
    IEnumerable<Type> MonitoredActions { get; }

    void ManageEvents(TModel model, IAction<TModel> lastAction);
  }
}
